# Default

class Default < T >(t: T ) : SafeWrapper < T > (source)

## Constructors

Default
Link copied to clipboard
constructor(t: T )

## Functions

safe
Link copied to clipboard
open fun < R > safe (block: T .() -> R ): Result < R >
safeS
Link copied to clipboard
open suspend fun < R > safeS (block: suspend T .() -> R ): Result < R >
unsafe
Link copied to clipboard
open fun < R > unsafe (block: T .() -> R ): R
unsafeS
Link copied to clipboard
open suspend fun < R > unsafeS (block: suspend T .() -> R ): R
unsafeTarget
Link copied to clipboard
open override fun unsafeTarget (): T